<div class="fields-wrap dsa-field-wrap">
    <form [formGroup]="itrStatementFormGroup">
        <div class="page-wrap">
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericOnly maxlength="30" [upperOnly]="true" placeholder="User Name*" formControlName="username" type="text" >
                            <mat-error *ngIf="itrStatementFormGroup.get('username').errors && itrStatementFormGroup.get('username').errors.pan && itrStatementFormGroup.get('username').errors.pan.required">Please enter User Name</mat-error>
                            <mat-error *ngIf="itrStatementFormGroup.get('username').errors && itrStatementFormGroup.get('username').errors.pan && itrStatementFormGroup.get('username').errors.pan.pattern">Please enter valid User Name</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsOnly maxlength="12" placeholder="Password*" formControlName="password" type="password" >
                            <mat-error *ngIf="itrStatementFormGroup.get('password').errors && itrStatementFormGroup.get('password').errors.required">Please enter Password</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto daterange-picker">
                        <mat-form-field class="new-user-form-field date-label">
                            <input matInput [errorStateMatcher]="formSubmittedMatcher" placeholder="DOB(DD/MM/YYYY)*" [options]="myApplicantDob" class="date-input" ngx-mydatepicker date length="10" formControlName="dob" #ngxdbp="ngx-mydatepicker"/>
                            <div class="calendar-btn-group">
                                <!-- <span (click)="ngxdbp.clearDate()"><i class="material-icons">clear</i></span> -->
                                <span (click)="ngxdbp.toggleCalendar()"><i class="material-icons">today</i></span>
                            </div>
                            <mat-error *ngIf="itrStatementFormGroup.get('dob').errors && itrStatementFormGroup.get('dob').errors.required && !itrStatementFormGroup.get('dob').errors.invalidDateFormat">Please enter DOB</mat-error>
                            <mat-error *ngIf="itrStatementFormGroup.get('dob').errors && itrStatementFormGroup.get('dob').errors.invalidDateFormat">Please enter valid DOB</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly maxlength="4" placeholder="Year*" formControlName="year" type="text" >
                            <mat-error *ngIf="itrStatementFormGroup.get('year').errors && itrStatementFormGroup.get('year').errors.required">Please enter Year</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericOnly maxlength="12" [upperOnly]="true" placeholder="Captcha*" formControlName="captchaCode" type="text" >
                            <mat-error *ngIf="itrStatementFormGroup.get('captchaCode').errors && itrStatementFormGroup.get('captchaCode').errors.required">Please enter Captcha</mat-error>
                            <div class="captcha-wrap">
                                <span><img src="{{ captchaInfo.url }}" alt="Captcha Code" /></span>
                                <span (click)="getItrCaptcha()" class="captcha-refresh"><i class="material-icons">refresh</i></span>
                            </div>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Verify that you are human and not a robot
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <div class="btn-wrap">
            <button mat-button type="submit" (click)= "submitItrForm()" [disableRipple]="true">Login</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
            <p *ngIf="userService.isCustomerJourney()" class="otp_verify_links blue-link"><a href="javascript:void(0);" (click)="cancelDialog()" class="links">Cancel</a></p>
        </div>
    </form>
</div>
